Subject: Placement of synchronized_standby_slots description in config.sgml

From: Fujii Masao <[email-masked]>
Date: Fri, 23 Jan 2026 19:21:51 +0900

Hi,

synchronized_standby_slots is defined in guc_parameter.dat as part of
the REPLICATION_PRIMARY group and appears under the "Primary Server"
section in postgresql.conf.sample. However, in the documentation
its description is placed under the "Sending Servers" section.

Given this, it seems the description should also be under "Primary Server"
in the documentation. I've attached a patch that moves it there.

Alternatively, if synchronized_standby_slots is intended to be set also
on a standby in cascading replication setups, then the current documentation
placement may be correct, and instead guc_parameter.dat and
postgresql.conf.sample should be updated. My understanding, though,
is that this parameter is normally set only on the primary. Right?

Regards,

-- 
Fujii Masao

---

From: Shinya Kato <[email-masked]>
Date: Thu, 5 Feb 2026 15:47:04 +0900

> in the documentation. I've attached a patch that moves it there.

Thank you for the patch! The patch LGTM.

> is that this parameter is normally set only on the primary. Right?

You're right. PhysicalWakeupLogicalWalSnd() in walsender.c has this check:

    /*
     * If we are running in a standby, there is no need to wake up walsenders.
     * This is because we do not support syncing slots to cascading standbys,
     * so, there are no walsenders waiting for standbys to catch up.
     */
    if (RecoveryInProgress())
        return;

So this parameter is only meaningful on the primary.

-- 
Best regards,
Shinya Kato
NTT OSS Center

---

From: Fujii Masao <[email-masked]>
Date: Fri, 6 Feb 2026 09:43:50 +0900

> Thank you for the patch! The patch LGTM.

Thanks for the review! I've pushed the patch.

> So this parameter is only meaningful on the primary.

Thanks for confirming this!

Regards,

-- 
Fujii Masao